org.eclipse.wst.jsdt.chromium.debug.core.model

## Class SourceWrapSupport

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.SourceWrapSupport

    public class SourceWrapSupport
    extends java.lang.Object

Supports better matching of local source files with remote scripts by leveraging the fact that the original source could be preprocessed by adding a prefix and suffix (usually to put user code in some scope). This class tries to match script source with a list of known wrappers.

### Nested Class Summary

Nested Classes
`static class` `SourceWrapSupport.StringBasedWrapper`
`static interface` `SourceWrapSupport.Wrapper` Describes a known type of script source wrapper.

### Constructor Summary

Constructors
Constructor and Description
`SourceWrapSupport(java.util.List<SourceWrapSupport.Wrapper> wrappers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SourceWrapSupport.Wrapper.Match` `chooseWrapper(java.lang.String remoteContent)` Matches the remote script source against all known wrappers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceWrapSupport

    public SourceWrapSupport(java.util.List<SourceWrapSupport.Wrapper> wrappers)

### Method Detail

#### chooseWrapper

    public SourceWrapSupport.Wrapper.Match chooseWrapper(java.lang.String remoteContent)

Matches the remote script source against all known wrappers.

Returns:
  match object of first matching wrapper or null if no wrapper match